Support » Plugin: CKEditor for WordPress » Plugin not working with WordPress 3.5

Viewing 15 replies - 16 through 30 (of 63 total)
  • Plugin Author wiktor

    (@wiktor)

    The new version of CKEditor For WordPress will include V4. V4 is more or less backwards compatible with V3, and is stable enough, so this is the most reasonable option.

    If anyone is interested in the full list of API differences, it is available here: API Changes in CKEditor 4

    Hey wiktor,

    I would like to help in coding. My email address is listed below.

    jdelcin [at] gmail [dot] com

    My English is not good sorry. As i understand
    CKEditor using some type of Hack(which is harmless) to be new text editor. Since 3.5 version brings new security, CKEditor is unable to use.

    So we have to wait for new CKEditor version.

    Plugin Author wiktor

    (@wiktor)

    @jdelcin – awesome! I sent you an email, check your mailbox 🙂

    Of course if anyone else is willing to join, please get in touch with me: w.walc /at/ cksource.com

    Just to put it out there that it’s not working with wp 3.6.3 either

    Don’t mean to rush you guys but, please, hurry =)

    Plugin Author wiktor

    (@wiktor)

    I anyone is willing to check the development version of CKEditor 4.0 for WordPress 3.5, please download it from SVN:

    svn export http://plugins.svn.wordpress.org/ckeditor-for-wordpress/branches/3.5/ ckeditor

    Any feedback is welcome. If you notice any bugs, please provide as much information as you can, e.g.:
    – the detailed steps to reproduce the error
    – browser version and OS

    The official release should be available soon, but I would love to fix the most critical errors before the official release. 😉

    Hi wiktor

    got the files … will install and test on my local machine …

    Ok wiktor,

    thanks for the christmas present … you make zillions of ckeditor for wordpress users happy with this update … as far as i could test the fucking thing i can say, it works like a charme … out of the box … run it on my local machine (xampp) with a fresh install of WP 3.5 …
    after install of the plugin i went through the options, made my settings, hit update … and good … opened a page and the ckeditor was there …

    i for myself prefer the kcfinder (http://kcfinder.sunhater.com/) as my favorite image manager … it’s quite easy to implement this fantastic piece of software … so i did the job and everything worked fine …

    everything is back again … the new look of the editor ist realy good for my old eyes … lol … i’am impressed … very nice …

    ok, enough mouth watering … i think, wiktor will finish his work soon an make you guys all happy …

    Here are my basic settings in case someone is interestet …

    —-

    CKEDITOR.editorConfig = function(config) {
    	// The minimum editor width, in pixels, when resizing it with the resize handle.
    	config.resize_minWidth = 670;
    	config.width = 670;
    	config.editingBlock = true;
    	config.startupOutlineBlocks = true;
    	config.ignoreEmptyParagraph = false;
    	config.templates_replaceContent = false;
    	config.templates = 'default';
    	config.templates_files = [ 'http://localhost/wordpress35/wp-content/plugins/ckeditor-for-wordpress/ckeditor.templates-1.js' ];
    
    config.filebrowserBrowseUrl = '/wordpress35/wp-content/plugins/ckeditor-for-wordpress/kcfinder/browse.php?type=files';
    config.filebrowserImageBrowseUrl = '/wordpress35/wp-content/plugins/ckeditor-for-wordpress/kcfinder/browse.php?type=images';
    config.filebrowserFlashBrowseUrl = '/wordpress35/wp-content/plugins/ckeditor-for-wordpress/kcfinder/browse.php?type=flash';
    config.filebrowserUploadUrl = '/wordpress35/wp-content/plugins/ckeditor-for-wordpress/kcfinder/upload.php?type=files';
    config.filebrowserImageUploadUrl = '/wordpress35/wp-content/plugins/ckeditor-for-wordpress/kcfinder/upload.php?type=images';
    config.filebrowserFlashUploadUrl = '/wordpress35/wp-content/plugins/ckeditor-for-wordpress/kcfinder/upload.php?type=flash';

    ahhh … bevor i forget it …, is there an easy way for a intergation of the fantastic “killer” plugin Global Content Blocks – http://wordpress.org/extend/plugins/global-content-blocks/ …?

    1:30am in Berlin now …
    good night
    Hardy

    Hi wiktor,

    Thank you for the update, the new editor theme looks so cool and blends into WordPress much better.
    Just found a small problem, in the basic settings when switching toolbar to Full, an error occurred which prevented the editor from being loaded.

    TypeError: evt.editor.config[(“toolbar_” + evt.editor.config.toolbar)] is undefined

    …config[‘toolbar_’ + evt.editor.config.toolbar].push(ckeditorSettings.additionalB…
    ckeditor.utils.js (line 19)

    sorry guys, i’m not good at computer so i cannot download files with subversion. Anybody could upload files with zip or rar please

    Because this plugin becoming a habit like cigarettes 🙂 and i need it asap.

    Plugin Author wiktor

    (@wiktor)

    Hi everyone,

    Thanks for your feedback! I’ve made a few changes (fixed the full toolbar, image captions and so on).
    Here goes the release candidate:

    ckeditor-for-wordpress.4.0.zip

    This is basically the same thing as in 3.5 branch, but in a simple zip file so that it could be tested by anyone 🙂

    Please give it a try, I really hope to release it as a stable version within 48h.

    still not working..

    Just signed up so I could post here!

    I have installed on three sites and all are fine.

    The only thing I have noticed is that the spell check feature [SCAYT] doesn’t seem to be loading?

    My main site here – headrambles.com

    not working for me too.

    not working 🙁

Viewing 15 replies - 16 through 30 (of 63 total)
  • The topic ‘Plugin not working with WordPress 3.5’ is closed to new replies.